4Suite™ API Documentation

# ► Module Ft.Server.Server.Xslt.DocumentDefinition

XSLT extension elements and functions supporting the 4SS DocumentDefinition API
Copyright 2004 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: AddBaseDocumentDefinitionElement, RemoveBaseDocumentDefinitionElement, SetCreationParamsElement |  |  |  | Functions: GetBaseDefinitions, GetCreationParams, GetDerivedDefinitions |  |  |  | Fields: ExtElements, ExtFunctions, SCORE_NS

## Classes

class AddBaseDocumentDefinitionElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)
Add a new document definition to a document definition's base defs.

### Methods

instantiate(self, context, processor)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
legalAttrs = {'docdef': <Ft.Xml.Xslt.AttributeInfo.UriReferenceAvt instance>, 'path': <Ft.Xml.Xslt.AttributeInfo.UriReferenceAvt instance>}

### Fields

class RemoveBaseDocumentDefinitionElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)
Remove a document definition from a document definition's base defs.

### Methods

instantiate(self, context, processor)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__init__, __str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

content = <Ft.Xml.Xslt.ContentInfo.Atom instance>
Empty is the content model for childless elements
legalAttrs = {'docdef': <Ft.Xml.Xslt.AttributeInfo.UriReferenceAvt instance>, 'path': <Ft.Xml.Xslt.AttributeInfo.UriReferenceAvt instance>}

### Fields

class SetCreationParamsElement(Ft.Xml.Xslt.StylesheetTree.XsltElement)
Change the creation params of a document definition.
The content of the fcore:set-creation-params element is a template for
the new creation params in serialized format.

### Methods

__init__(self, root, namespaceUri, localName, baseUri)
instantiate(self, context, processor)

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltElement

__str__, appendChild, expandQName, insertChild, parseAVT, parseExpression, parsePattern, processChildren, splitQName

### Methods inherited from class Ft.Xml.Xslt.StylesheetTree.XsltNode

idle, isLastChild, isPseudoNode, pprint, prime, setup

### Fields

content = <Ft.Xml.Xslt.ContentInfo.Rep instance>
Template is the set of text, instructions or result-elements
legalAttrs = {'path': <Ft.Xml.Xslt.AttributeInfo.UriReferenceAvt instance>}

### Fields

## Functions

GetBaseDefinitions(context, path=None)
GetCreationParams(context, path=None)
GetDerivedDefinitions(context, path=None)

## Fields

ExtElements = {('http://xmlns.4suite.org/4ss/score', 'add-base-document-definition'): <class Ft.Server.Server.Xslt.DocumentDefinition.AddBaseDocumentDefinitionElement>, ('http://xmlns.4suite.org/4ss/score', 'remove-base-document-definition'): <class Ft.Server.Server.Xslt.DocumentDefinition.RemoveBaseDocumentDefinitionElement>, ('http://xmlns.4suite.org/4ss/score', 'set-creation-params'): <class Ft.Server.Server.Xslt.DocumentDefinition.SetCreationParamsElement>}
ExtFunctions = {('http://xmlns.4suite.org/4ss/score', 'get-base-definitions'): <function GetBaseDefinitions>, ('http://xmlns.4suite.org/4ss/score', 'get-creation-params'): <function GetCreationParams>, ('http://xmlns.4suite.org/4ss/score', 'get-derived-definitions'): <function GetDerivedDefinitions>}
SCORE_NS = 'http://xmlns.4suite.org/4ss/score'